Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JDKAlgorithmParameterGenerator.DH

    java.lang.Object
      |
      +--java.security.AlgorithmParameterGeneratorSpi
            |
            +--org.bouncycastle.jce.provider.JDKAlgorithmParameterGenerator
                  |
                  +--org.bouncycastle.jce.provider.JDKAlgorithmParameterGenerator.DH

Enclosing class:
  JDKAlgorithmParameterGenerator

public static class JDKAlgorithmParameterGenerator.DH
extends JDKAlgorithmParameterGenerator

Inner classes inherited from class org.bouncycastle.jce.provider.JDKAlgorithmParameterGenerator
`JDKAlgorithmParameterGenerator.AES, JDKAlgorithmParameterGenerator.CAST5, JDKAlgorithmParameterGenerator.DES, JDKAlgorithmParameterGenerator.DH, JDKAlgorithmParameterGenerator.DSA, JDKAlgorithmParameterGenerator.ElGamal, JDKAlgorithmParameterGenerator.GOST3410, JDKAlgorithmParameterGenerator.IDEA, JDKAlgorithmParameterGenerator.RC2`

Fields inherited from class org.bouncycastle.jce.provider.JDKAlgorithmParameterGenerator
`random, strength`

Constructor Summary
`JDKAlgorithmParameterGenerator.DH()`

Method Summary
`protected java.security.AlgorithmParameters` | `engineGenerateParameters()`
`protected void` | `engineInit(java.security.spec.AlgorithmParameterSpec genParamSpec, java.security.SecureRandom random)`

Methods inherited from class org.bouncycastle.jce.provider.JDKAlgorithmParameterGenerator
`engineInit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDKAlgorithmParameterGenerator.DH

    public JDKAlgorithmParameterGenerator.DH()

Method Detail

### engineInit

    protected void engineInit(java.security.spec.AlgorithmParameterSpec genParamSpec,
                              java.security.SecureRandom random)
                       throws java.security.InvalidAlgorithmParameterException

  Overrides:
    `engineInit` in class `java.security.AlgorithmParameterGeneratorSpi`

### engineGenerateParameters

    protected java.security.AlgorithmParameters engineGenerateParameters()

  Overrides:
    `engineGenerateParameters` in class `java.security.AlgorithmParameterGeneratorSpi`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD